Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector
Class IdeInspectorSinglePropertyComponent

    java.lang.Object
      |
      +--java.beans.FeatureDescriptor
            |
            +--com.togethersoft.openapi.ide.inspector.IdeInspectorComponent
                  |
                  +--com.togethersoft.openapi.ide.inspector.IdeInspectorSinglePropertyComponent

public class IdeInspectorSinglePropertyComponent
extends IdeInspectorComponent

Represents InspectorComponent that stores a single property.

Author:
  TogetherSoft

Constructor Summary
`IdeInspectorSinglePropertyComponent(IdeInspectorProperty property)` Constructs a new component for specified property.

Method Summary
`void` | `update()` Updates this single property.

Methods inherited from class com.togethersoft.openapi.ide.inspector.IdeInspectorComponent
`getService, setService`

Methods inherited from class java.beans.FeatureDescriptor
`getName, setName, getDisplayName, setDisplayName, isExpert, setExpert, isHidden, setHidden, isPreferred, setPreferred, getShortDescription, setShortDescription, setValue, getValue, attributeNames`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize`

Constructor Detail

### IdeInspectorSinglePropertyComponent

    public IdeInspectorSinglePropertyComponent(IdeInspectorProperty property)

  Constructs a new component for specified property.
  Parameters:
    property - `IdeInspectorProperty` for which a new component is created

Method Detail

### update

    public void update()

  Updates this single property.

Association Links

to Class com.togethersoft.openapi.ide.inspector.IdeInspectorProperty

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD